Bug 1314293 - (CVE-2016-1531) CVE-2016-1531 exim: local root privilege escalation for configurations with perl_startup
CVE-2016-1531 exim: local root privilege escalation for configurations with p...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160302,repo...
: Security
Depends On: 1314294 1314295
Blocks: 1314298
  Show dependency treegraph
 
Reported: 2016-03-03 05:54 EST by Adam Mariš
Modified: 2016-11-21 17:52 EST (History)
3 users (show)

See Also:
Fixed In Version: exim 4.84.2, exim 4.85.2, exim 4.86.2, exim 4.87-rc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 14:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-03 05:54:27 EST
Privilege escalation vulnerability was found in all installations having Exim set-uid root and using 'perl_startup'. Any user who can start an instance of Exim can gain root privileges.

https://lists.exim.org/lurker/message/20160302.191005.a72d8433.en.html
Comment 1 Adam Mariš 2016-03-03 05:55:23 EST
Created exim tracking bugs for this issue:

Affects: fedora-all [bug 1314294]
Affects: epel-all [bug 1314295]
Comment 3 Tomas Hoger 2016-03-07 14:48:36 EST
The exim mail server is not shipped with Red Hat Enterprise Linux 6 and 7.  It is included in Red Hat Enterprise Linux 4 and 5, but is not the default mail server.

The default configuration of exim in Red Hat Enterprise Linux is not affected by this issue, as it does not use 'perl_startup'.  This feature is not required by any other Red Hat Enterprise Linux component.  If configured to use perl_startup, exim version in Red Hat Enterprise Linux 4 and 5 are affected by this issue.  Removal of all perl_startup directives from exim.conf mitigates this issue.

As affected products are in the phases of their life cycles when only Critical impact security fixes are guaranteed to be released; the default and/or typical configurations of the component within products are not affected; and as the fix introduces behavioural change that is documented as likely to break existing configurations, even those not affected by this issue, there is currently no plan to fix this issue in Red Hat Enterprise Linux 4 and 5.
Comment 5 Fedora Update System 2016-03-12 06:50:07 EST
exim-4.86.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-13 05:50:46 EDT
exim-4.85.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-19 17:26:43 EDT
exim-4.84.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-04-13 02:25:04 EDT
exim-4.84.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Tomas Hoger 2016-11-21 17:52:44 EST
Statement:

This issue affects the version of exim as shipped with Red Hat Enterprise Linux 4 and 5. However, the default configurations are not affected, as they do not use 'perl_startup' directive.

Red Hat Enterprise Linux 4 is now in Extended Life Cycle phase of the support and maintenance life cycle, and Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.